@echo OFF
     setlocal
     set CmdName=ASMOGAW1
echo * *******************************************************************
echo *               ASMOGAW1.CMD - a Windows Command File               *
echo *         This program is provided by SimoTime Technologies         *
echo *           (C) Copyright 1987-2016 All Rights Reserved             *
echo *             Web Site URL:   http://www.simotime.com               *
echo *                   e-mail:   helpdesk@simotime.com                 *
echo * *******************************************************************
rem  * This procedure calls the following Windows Command Files.
rem  * 1. Env1Base.CMD - this provides a single point for setting commonly
rem  *    used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *    messages to the screen and writing to a journal or log file.
rem  * 3. zModGeneration01.CMD - this will do the actual geberation of the
rem  *    specified member.
rem  * *******************************************************************
     call ..\Env1Base
rem  *
     call SimoNOTE "****************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
     set ASMOFORM=ASC
rem  *
rem  * Read the ListSam1AsModsLessExt.TXT file and pass the contents of each
rem  * record to the command file that does the actual generation. Each
rem  * record in the file contains an eight character member name.
     for /F %%i in (ListSam1AsModsLessExt.TXT) do CALL ZASMOGEN %%i ASM HOLD\MODA LIST
rem  *
     call SimoNOTE "Finished JobName %CmdName%.CMD"
     if not "%SimoGENS%" == "BATCH" pause
     endlocal
