@echo OFF
     echo Parameter 1 is %1
     echo CobCpy is %CobCpy%
     set CreateMODStatus=0000
rem  *
rem  * It is the callers reponsibility to set BaseLib1 to the base
rem  * directory. This procedure uses various sub-directories under the
rem  * base directory.
rem  *
rem  * The following parameters are received from the calling command file.
rem  * Parameter  Description
rem  * ---------  ------------------------------------------------------------
rem  *    1       Name of source member
rem  *    2       Name of source directory relative to BaseLib1
rem  *    3       Name of directory for load member relative to BaseLib1
rem  *    4       Name of directory for list member relative to BaseLib1
rem  *
rem  * ************************************************************************
     call SimoNOTE "Starting JobStep ZASMOGEN, Status is %CreateMODStatus%, Program is %1"
rem  *
rem  * ************************************************************************
rem  * Do the build to create the .MOD non-executable using a COBOL program
     set ASMOTAKE=%BaseLib1%\%2\%1.MLC
     set ASMOMAKE=%BaseLib1%\%3\%1.MOD
     set ASMOLIST=%BaseLib1%\%4\%1.LST
     if "%ASMOCOPY%" == "Y" set COBOLPUT=%BaseLib1%\DATA\WRK1\COBOLPUT_%1.cpy
     run ASMOGENR
     echo ErrorLevel is %ERRORLEVEL%
     if not "%ERRORLEVEL%" == "0" set CreateMODStatus=0010
     if not "%CreateMODStatus%" == "0000" goto :CreateMODNOK
rem  *
     echo %ASMOMAKE%
     if exist %ASMOMAKE% goto :CreateMODAOK
     set CreateMODStatus=0020
     goto :CreateMODNOK
rem  *
rem  * ************************************************************************
:CreateMODAOK
     call SimoNOTE "StepInfo Create Hex Dump File of .MOD file"
     set SYSLOG=%BaseLib1%\DATA\Wrk1\%1.DMP
     if exist %SYSLOG% del %SYSLOG%
     run SimoZAPS Hexcess %ASMOMAKE% start=1 stop=9999999
     call SimoNOTE "Complete JobStep ZASMOGEN, Status is %CreateMODStatus%, Program is %1"
     goto :End
rem  *
rem  * ************************************************************************
:CreateMODNOK
     set JobStatus=%Compile2GNTStatus%
     call SimoNOTE "ABENDING JobStep ZASMOGEN, Status is %CreateMODStatus%, Program is %1"
     echo %1>%BaseLib1%\LOGS\%1.ERR
     goto :End
rem  *
rem  * ************************************************************************
:End
     exit /B %CreateMODStatus%
